aboutsummaryrefslogtreecommitdiff
path: root/scripts/notarize.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/notarize.sh')
-rwxr-xr-xscripts/notarize.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/notarize.sh b/scripts/notarize.sh
new file mode 100755
index 0000000..dc462a2
--- /dev/null
+++ b/scripts/notarize.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -e
+
+
+if [ "$#" -ne 2 ]; then
+ echo "Usage: $0 <project_name> <build_directory>"
+ exit 1
+fi
+
+project_name="$1"
+build_directory="$2"
+
+app_path="${build_directory}/${project_name}.app"
+app_version=$(/usr/libexec/PlistBuddy -c "Print CFBundleShortVersionString" ${app_path}/Contents/Info.plist)
+dmg_path="${build_directory}/${project_name}-${app_version}.dmg"
+xcrun notarytool submit ${dmg_path} --wait --verbose --keychain-profile "Apps @ Unlimited Pizza"
+stapler staple "${app_path}"